import * as React from 'react';
import RaisedButton from 'material-ui/RaisedButton';
import Popover, { PopoverAnimationVertical } from 'material-ui/Popover';
import Menu from 'material-ui/Menu';
import MenuItem from 'material-ui/MenuItem';

import {
  Table,
  TableBody,
  TableHeader,
  TableHeaderColumn,
  TableRow,
  TableRowColumn,
} from 'material-ui/Table';

import Badge from 'material-ui/Badge';
import IconButton from 'material-ui/IconButton';
import NotificationsIcon from 'material-ui/svg-icons/social/notifications';
import PersonIcon from 'material-ui/svg-icons/social/person';
import SettingsIcon from 'material-ui/svg-icons/action/settings';



import FontIcon from 'material-ui/FontIcon';
import ActionHome from 'material-ui/svg-icons/action/home';


export class NewRes extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);



    this.state = {
      open_monitor: false,
      open_infra: false,
    };
  }

  handleTouchTap = (event: any, state: any) => {
    // This prevents ghost click.
    event.preventDefault();
    // console.log(event.target.outerText)
    state.anchorEl = event.currentTarget;
    this.setState(state);
  };

  handleRequestClose = () => {
    this.setState({
      open: false,
    });
  };


  render() {


    return (
      <div>

        <RaisedButton
          label="Home"
        />

        <RaisedButton

          onMouseEnter={(event: any) => {
            this.handleTouchTap(event, { 
              open_infra: false,
              open_monitor: true,
               })
          }}

          label="Monitoring"
        />

        <RaisedButton
          onMouseEnter={(event: any) => {
            this.handleTouchTap(event, { 
              open_infra: true,
              open_monitor: false,
             })
          }}
          label="Infrastructure"
        />
        
        <RaisedButton
          label="Dashboard"
        />

        <RaisedButton
          label="Metric"
        />

        <RaisedButton
          label="Alert"
        />

        <RaisedButton
          label="History"
        />

        <Popover
          open={this.state.open_monitor}
          anchorEl={this.state.anchorEl}
          anchorOrigin={{ horizontal: 'left', vertical: 'bottom' }}
          targetOrigin={{ horizontal: 'left', vertical: 'top' }}
          onRequestClose={(event: any) => {
            this.setState({ 
              open_monitor: false,
             });
          }}
          animation={PopoverAnimationVertical}
        >
          <Menu>
            <MenuItem primaryText="Probe" />
            <MenuItem primaryText="Sensors" />
          </Menu>
        </Popover>

        <Popover
          open={this.state.open_infra}
          anchorEl={this.state.anchorEl}
          anchorOrigin={{ horizontal: 'left', vertical: 'bottom' }}
          targetOrigin={{ horizontal: 'left', vertical: 'top' }}
          onRequestClose={(event: any) => {
            this.setState({ open_infra: false });
          }}
          animation={PopoverAnimationVertical}
        >
          <Menu>
            <MenuItem primaryText="Maps" />
            <MenuItem primaryText="Targets" />
          </Menu>
        </Popover>

        <IconButton tooltip="settings">
          <SettingsIcon />
        </IconButton>



        <Badge
          badgeContent={4}
          secondary={true}
          badgeStyle={{top: 12, right: 12}}
        >
          <IconButton tooltip="notification">
            <NotificationsIcon />
          </IconButton>

        </Badge>


        <IconButton tooltip="avatar">
          <PersonIcon />
        </IconButton>


      </div>
    );
  }



}



