import * as React from 'react';
import { Container, Menu, Sidebar, Segment, Icon, Breadcrumb, Grid, Dropdown } from 'semantic-ui-react';
import { Header } from './Header';
import { Footer } from './Footer';
import { LeftMenu } from './LeftMenu';

import { Routes } from '../../../Routes';
import { Router } from 'react-router';
import * as History from 'history';

const history = History.createHashHistory();

export class Layout extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      notification_visible: false,
    };
  }

  onSidebar = () => {
    this.setState({ notification_visible: !this.state.notification_visible });
  }

  render() {
    return (
      <Container fluid>
        <Grid>
          <Grid.Row>
            <Grid.Column width='2'>
             <LeftMenu />
            </Grid.Column>
            <Grid.Column width='14'>
              <Grid.Row>
                <Grid.Column>
                  <Header />
                </Grid.Column>
                <Grid.Column>
                  <Router history={history} >
                    <Routes />
                  </Router>
                </Grid.Column>
              </Grid.Row>
              <Grid.Row>
                <Grid.Column>
                  <Footer />
                </Grid.Column>
              </Grid.Row>
            </Grid.Column>
          </Grid.Row>
        </Grid>
        {/* <Header onSidebar={this.onSidebar.bind(this)} />
          <Sidebar.Pushable as={Segment} vertical >
            <Sidebar
              as={Menu}
              animation='overlay'
              width='thin'
              direction='right'
              visible={this.state.notification_visible}
              icon='labeled'
              vertical
              inverted
            >
              <Menu.Item name='home'>
                Notification 1
            </Menu.Item>
              <Menu.Item name='gamepad'>
                Notification 2
            </Menu.Item>
            </Sidebar>

            <Sidebar.Pusher >
              <Container fluid textAlign='right' style={{ padding: '5px 20px 0px' }}>
                <Breadcrumb size='mini'>
                  <Breadcrumb.Section link>Home</Breadcrumb.Section>
                  <Breadcrumb.Divider icon='right angle' />
                  <Breadcrumb.Section link>Monitoring</Breadcrumb.Section>
                  <Breadcrumb.Divider icon='right angle' />
                  <Breadcrumb.Section active>Probe</Breadcrumb.Section>
                </Breadcrumb>
              </Container>

              <Segment vertical>
                <Container>
                  <Router history={history} >
                    <Routes />
                  </Router>
                </Container>

                <Footer />
              </Segment>
            </Sidebar.Pusher>
          </Sidebar.Pushable> */}


      </Container >
    );
  }
}



